package com.hzya.frame.sysnew.warningConfig.service;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.sysnew.warningConfig.entity.SysWarningConfigEntity;
import com.hzya.frame.basedao.service.IBaseService;
import com.hzya.frame.web.entity.JsonResultEntity;

/**
 * 预警配置表(SysWarningConfig)表服务接口
 *
 * @author makejava
 * @since 2024-09-03 09:28:23
 */
public interface ISysWarningConfigService extends IBaseService<SysWarningConfigEntity, String>{

    JsonResultEntity queryEntityPage(JSONObject jsonObject);

    JsonResultEntity queryEntity(JSONObject jsonObject);

    JsonResultEntity saveEntity(JSONObject jsonObject);

    JsonResultEntity getEntity(JSONObject jsonObject);

    JsonResultEntity updateEntity(JSONObject jsonObject);

    JsonResultEntity deleteEntity(JSONObject jsonObject);

    JsonResultEntity enableDisableEntity(JSONObject jsonObject);
}
